# Description: fix imports of the nodebox-web library
# Author: Serafeim Zanikolas <serzan@hellug.gr>
# Last-Update: 2010-02-28
diff -ru indywiki/src/indywiki/config.py indywiki-0.9.9/src/indywiki/config.py
--- indywiki/src/indywiki/config.py	2008-05-12 10:35:29.000000000 +0100
+++ indywiki-0.9.9/src/indywiki/config.py	2008-05-16 23:31:22.000000000 +0100
@@ -1,7 +1,7 @@
 import sys
 import os
 from release import __version__
-from web1.wikipedia import languages as known_languages
+from nodebox_web.web.wikipedia import languages as known_languages
 
 class Config(object):
     """container for user-configurable options"""
diff -ru indywiki/src/indywiki/indywiki.py indywiki-0.9.9/src/indywiki/indywiki.py
--- indywiki/src/indywiki/indywiki.py	2008-05-12 10:35:29.000000000 +0100
+++ indywiki-0.9.9/src/indywiki/indywiki.py	2008-05-16 23:30:46.000000000 +0100
@@ -11,7 +11,7 @@
 import re
 import time
 from PyQt4 import QtCore, QtGui
-from web1 import wikipedia
+from nodebox_web.web import wikipedia
 import qrc_resources
 import net
 from release import __version__
diff -ru indywiki/src/indywiki/net.py indywiki-0.9.9/src/indywiki/net.py
--- indywiki/src/indywiki/net.py	2008-05-12 10:35:29.000000000 +0100
+++ indywiki-0.9.9/src/indywiki/net.py	2008-05-16 23:31:07.000000000 +0100
@@ -6,7 +6,7 @@
 import StringIO
 import gzip
 from PyQt4 import QtCore, QtGui
-from web1 import wikipedia
+from nodebox_web.web import wikipedia
 
 wikipedia.search = lambda q, language, light:\
         wikipedia.WikipediaSearch(q, language, light, wait=20, asynchronous=False,
